> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Create a platform information entry

POST https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/
Content-Type: application/json

Platform information entries describe per-platform port maps, minimum resource requirements, and port configuration used to configure hardware platform-specific behavior.

**Required scope:** `air:image_write` (roles: `air_image_publisher`, `air_image_uploader`)

Reference: https://docs.nvidia.com/dsx-air/api-reference/manifests/api-v-3-manifests-platform-information-create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `model` (string, required) — The platform model to which this information applies.
- `port_map` (map from string to map from string to object, required) — Mapping of speed modes to port label entries.
  - `asic` (string, required) — The ASIC this port map entry applies to.
  - `label_port` (string, required) — The label port for given ASIC.
  - `local_port` (string, required) — The local port for given ASIC.
  - `split_num` (string, required) — The split number for given ASIC.
- `platform_information_version` (string, required) — Version string for this platform information entry.
- `ports_config` (object, required) — Port configuration.
  - `num_label_ports` (integer, required) — Number of label ports.
  - `default_split` (string, required) — Default split configuration.
  - `split_options` (list of string, required) — Available split options.
- `os_type` (string, optional, nullable) — OS family identifier (e.g. sonic, nvos). Exactly one of os_type or emulation_type must be set; the other is `null`.
- `emulation_type` (string, optional, nullable) — The type of simulation engine to which this information applies. Exactly one of os_type or emulation_type must be set; the other is `null`.
- `vars` (map from string to string, optional) — Free-form key-value variables. Values are stored as text.
- `simulator_config` (map from string to any, optional) — Free-form simulator configuration dictionary.
- `minimum_resources` (object, optional, nullable) — Minimum resource requirements.
  - `cpu` (integer, required) — Minimum CPU cores required.
  - `memory` (integer, required) — Minimum memory in MiB required.
  - `storage` (integer, required) — Minimum storage in GiB required.

## Response

### 201

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `creator` (string, required, nullable) — The username of the user who created this platform information entry.
- `model` (string, required) — The platform model to which this information applies.
- `port_map` (map from string to map from string to object, required) — Mapping of speed modes to port label entries.
  - `asic` (string, required) — The ASIC this port map entry applies to.
  - `label_port` (string, required) — The label port for given ASIC.
  - `local_port` (string, required) — The local port for given ASIC.
  - `split_num` (string, required) — The split number for given ASIC.
- `platform_information_version` (string, required) — Version string for this platform information entry.
- `ports_config` (object, required) — Port configuration.
  - `num_label_ports` (integer, required) — Number of label ports.
  - `default_split` (string, required) — Default split configuration.
  - `split_options` (list of string, required) — Available split options.
- `os_type` (string, optional, nullable) — OS family identifier (e.g. sonic, nvos). Exactly one of os_type or emulation_type must be set; the other is `null`.
- `emulation_type` (string, optional, nullable) — The type of simulation engine to which this information applies. Exactly one of os_type or emulation_type must be set; the other is `null`.
- `vars` (map from string to string, optional) — Free-form key-value variables. Values are stored as text.
- `simulator_config` (map from string to any, optional) — Free-form simulator configuration dictionary.
- `minimum_resources` (object, optional, nullable) — Minimum resource requirements.
  - `cpu` (integer, required) — Minimum CPU cores required.
  - `memory` (integer, required) — Minimum memory in MiB required.
  - `storage` (integer, required) — Minimum storage in GiB required.

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Request**

```json
{
  "model": "string",
  "platform_information_version": "string",
  "ports_config": {
    "num_label_ports": 1,
    "default_split": "string",
    "split_options": [
      "string"
    ]
  }
}
```

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "creator": "string",
  "model": "string",
  "port_map": {},
  "platform_information_version": "string",
  "ports_config": {
    "num_label_ports": 1,
    "default_split": "string",
    "split_options": [
      "string"
    ]
  },
  "os_type": "string",
  "emulation_type": "string",
  "vars": {},
  "simulator_config": {},
  "minimum_resources": {
    "cpu": 1,
    "memory": 1,
    "storage": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/"

payload = {
    "model": "string",
    "platform_information_version": "string",
    "ports_config": {
        "num_label_ports": 1,
        "default_split": "string",
        "split_options": ["string"]
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"model":"string","platform_information_version":"string","ports_config":{"num_label_ports":1,"default_split":"string","split_options":["string"]}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/"

	payload := strings.NewReader("{\n  \"model\": \"string\",\n  \"platform_information_version\": \"string\",\n  \"ports_config\": {\n    \"num_label_ports\": 1,\n    \"default_split\": \"string\",\n    \"split_options\": [\n      \"string\"\n    ]\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model\": \"string\",\n  \"platform_information_version\": \"string\",\n  \"ports_config\": {\n    \"num_label_ports\": 1,\n    \"default_split\": \"string\",\n    \"split_options\": [\n      \"string\"\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model\": \"string\",\n  \"platform_information_version\": \"string\",\n  \"ports_config\": {\n    \"num_label_ports\": 1,\n    \"default_split\": \"string\",\n    \"split_options\": [\n      \"string\"\n    ]\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/', [
  'body' => '{
  "model": "string",
  "platform_information_version": "string",
  "ports_config": {
    "num_label_ports": 1,
    "default_split": "string",
    "split_options": [
      "string"
    ]
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model\": \"string\",\n  \"platform_information_version\": \"string\",\n  \"ports_config\": {\n    \"num_label_ports\": 1,\n    \"default_split\": \"string\",\n    \"split_options\": [\n      \"string\"\n    ]\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "model": "string",
  "platform_information_version": "string",
  "ports_config": [
    "num_label_ports": 1,
    "default_split": "string",
    "split_options": ["string"]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```